package contract_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type ContractNotifyRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件ID】电子签约文件ID 【作用】 查询需催签的电子签约文件。 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
	// <ext>core:true;format:string;deprecated:false</ext> 【第三方业务系统文件ID】第三方业务系统文件ID 【作用】 查询需催签的电子签约文件。 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	BizId string `json:"bizId,omitempty"`
}

func (obj ContractNotifyRequest) GetUrl() string {
	return "/contract/notify"
}

func (obj ContractNotifyRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	parameter.AddParam("bizId", obj.BizId)
	return parameter
}
